org.jboss.netty.handler.codec.spdy

## Class DefaultSpdyHeadersFrame

- java.lang.Object
- - org.jboss.netty.handler.codec.spdy.DefaultSpdyHeaderBlock
  - - org.jboss.netty.handler.codec.spdy.DefaultSpdyHeadersFrame

All Implemented Interfaces:
  SpdyHeaderBlock, SpdyHeadersFrame

    public class DefaultSpdyHeadersFrame
    extends DefaultSpdyHeaderBlock
    implements SpdyHeadersFrame

The default `SpdyHeadersFrame` implementation.

### Constructor Summary

Constructors
Constructor and Description
`DefaultSpdyHeadersFrame(int streamId)` Creates a new instance.

### Method Summary

Methods
`int` `getStreamId()` Returns the Stream-ID of this frame.
`int` `getStreamID()`
`boolean` `isLast()` Returns `true` if this frame is the last frame to be transmitted on the stream.
`void` `setLast(boolean last)` Sets if this frame is the last frame to be transmitted on the stream.
`void` `setStreamId(int streamId)` Sets the Stream-ID of this frame.
`void` `setStreamID(int streamId)`
`String` `toString()`

### Methods inherited from class org.jboss.netty.handler.codec.spdy.DefaultSpdyHeaderBlock

`addHeader, appendHeaders, clearHeaders, containsHeader, getHeader, getHeaderNames, getHeaders, getHeaders, isInvalid, removeHeader, setHeader, setHeader, setInvalid`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.jboss.netty.handler.codec.spdy.SpdyHeaderBlock

`addHeader, clearHeaders, containsHeader, getHeader, getHeaderNames, getHeaders, getHeaders, isInvalid, removeHeader, setHeader, setHeader, setInvalid`

### Constructor Detail

#### DefaultSpdyHeadersFrame

    public DefaultSpdyHeadersFrame(int streamId)

Creates a new instance.

Parameters:
  `streamId` - the Stream-ID of this frame

### Method Detail

#### getStreamID

    public int getStreamID()

Specified by:
  `getStreamID` in interface `SpdyHeadersFrame`

#### getStreamId

    public int getStreamId()

Description copied from interface: `SpdyHeadersFrame`
Returns the Stream-ID of this frame.

Specified by:
  `getStreamId` in interface `SpdyHeadersFrame`

#### setStreamID

    public void setStreamID(int streamId)

Specified by:
  `setStreamID` in interface `SpdyHeadersFrame`

#### setStreamId

    public void setStreamId(int streamId)

Description copied from interface: `SpdyHeadersFrame`
Sets the Stream-ID of this frame. The Stream-ID must be positive.

Specified by:
  `setStreamId` in interface `SpdyHeadersFrame`

#### isLast

    public boolean isLast()

Description copied from interface: `SpdyHeadersFrame`
Returns `true` if this frame is the last frame to be transmitted on the stream.

Specified by:
  `isLast` in interface `SpdyHeadersFrame`

#### setLast

    public void setLast(boolean last)

Description copied from interface: `SpdyHeadersFrame`
Sets if this frame is the last frame to be transmitted on the stream.

Specified by:
  `setLast` in interface `SpdyHeadersFrame`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`